%define name xfsprogs
%define version 1.3.5
%define release 2mdk

%define lib_name_orig libxfs
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Utilities for managing the XFS filesystem.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.src.tar.bz2
Copyright: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: /sbin/ldconfig
URL: http://oss.sgi.com/projects/xfs/

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n %{lib_name}-devel
Summary: XFS filesystem-specific static libraries and headers.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
%{lib_name}-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install %{lib_name}-devel if you want to develop XFS
filesystem-specific programs, If you install %{lib_name}-devel, you'll
also want to install xfsprogs.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/CREDITS README doc/README.LVM doc/README.quota
/sbin/*
%{_sbindir}/*
%{_mandir}/man[85]/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc doc/COPYING README
/lib/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/PORTING doc/COPYING README
/lib/*a
/lib/*so
%{_libdir}/*so
%{_libdir}/*a
%{_includedir}/xfs
%{_includedir}/disk
%{_mandir}/man3/*

%changelog
* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5.
- Split lib in subpackage.
- Rework the spec.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.0-1mdk
- Fist attempt based on the SGI spec.


# end of file
